//het.c
#include <iotms470r1a256.h>
#include "het.h"

void DelayHET_mS (unsigned long a) { while (--a!=0); }

void InitHET(void) {

  HETDOUT = 0x00;   // All pins to low
  HETDIR  |= 0x14;  // HET pin 2 and pin 4 as output
}

void Beep(void) {
  HETDOUT |= 0x4;   // HET[2] - high
  HETDOUT &= ~0x10; // HET[4] - low
  DelayHET_mS(3000);
  HETDOUT |= 0x10;  // HET[2] - low
  HETDOUT &= ~0x4;  // HET[4] - high
  DelayHET_mS(3000);
}
